Subject: [midcom] IP wildcard scenarios

From: "Jasson Casey" <[email-masked]>
Date: Tue, 18 Mar 2003 19:07:25 -0600

I've noticed several things that would require IP wildcarding.
 
* Early Media
The middlebox must be prepared to forward inbound media that can be sent in response to the sdp c and m. At this point no one knows the source IP/port of these inbound media packets.
 
* pstn gateways
SDP M/C lines are only indication of where audio will be reiceved. There are several gateways that send on one ip/port pair while recieving (indicated through sdp) on a different pair.
 
* certain advanced scenarios ie. audio anouncements
During a prepaid application there is a good chance that the "You have 30 seconds left, please pay more money" (anouncement server) message does not come from either endpoint were the participants would be located. The src ip/port of the anouncement server is never indicated anywhere in the dialog signaling.
 
* Symetric Relationship
I seems dangerous to assume a symetric relationship ever exists between the indicated ip/port(s) of SDP in any dialog. I thought someone suggested that the rules could be established over the duration of a session, The idea being a middlebox would have * in the src ip/port during the initial signaling sequences, but then a ip/port would be learned and applied. This seems like a bad idea because of anouncements, and other scenarios that exhibit this behavior (i don't think this behavior can be limited under the current standards).
 
My thoughts at least.
 
Jasson Casey
[email-masked]
_______________________________________________
midcom mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/midcom